import React, {Component} from 'react'; 
import classes from "./howItWorks.module.css";
import Section from './sections';

class HowItWorks extends Component {
    state = {
        classList: classes.Header,
        businessDelivery : 1
    }
    selectChange = (e) =>{
        if(e.target.value === 'en'){
            e.target.style = "width: 90px; left: 71%";
        }
        if(e.target.value === 'az'){
            e.target.style = "width: 120px";
        }
        if(e.target.value === 'ru'){
            e.target.style = "width: 100px !important;left:71%";
        }
    }
    componentDidMount = () => {
        document.addEventListener('scroll',()=>{
            if(document.getElementsByClassName(classes.HowItWorks)[0].getBoundingClientRect().top<=0){
                this.setState({classList: classes.Sticky});
            }
            else{
                this.setState({classList: classes.Header});
            }
        })
    }
    changeState = (index) =>{
        this.setState({businessDelivery: index});
    }
    render(){
        const icon = <svg width="130" height="33" viewBox="0 0 130 33" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path d="M6.74 0H0V5.74H6.74V0Z" fill="#1C3E8C"/>
        <path d="M6.74 14.8286L14.26 17.8586V10.5986L6.74 7.55859H0V26.6486L14.26 32.3986V25.1286L6.74 22.0986V14.8286Z" fill="#1C3E8C"/>
        <path d="M28.5198 0H21.7798V5.74H28.5198V0Z" fill="#2A52A0"/>
        <path d="M21.7898 14.8286L14.2598 17.8586V10.5986L21.7898 7.55859H28.5298V26.6486L14.2598 32.3986V25.1286L21.7898 22.0986V14.8286Z" fill="#2A52A0"/>
        <path d="M54.5401 7.55078V26.6808H50.1801V19.0308H42.1801V26.6808H37.8301V7.55078H42.1801V14.9408H50.1801V7.55078H54.5401Z" fill="#2A52A0"/>
        <path d="M70.9602 19.6717C70.9602 17.5917 70.2602 15.8217 68.8702 14.4017C67.4802 12.9817 65.6902 12.2617 63.5402 12.2617C61.4302 12.2617 59.6202 12.9917 58.1702 14.4117C56.7202 15.8417 55.9902 17.6117 55.9902 19.6717C55.9902 20.7017 56.1702 21.6517 56.5302 22.5317C56.9002 23.4117 57.4402 24.2117 58.1702 24.9217C59.6202 26.3517 61.4302 27.0717 63.5402 27.0717C66.0002 27.0717 67.9702 26.2417 69.4402 24.6017C70.0402 23.8917 70.5102 23.0617 70.8202 22.1317L70.8802 21.9617H66.5102L66.4902 22.0017C66.3402 22.2817 66.1402 22.5417 65.8902 22.7517C65.2402 23.2617 64.4502 23.5217 63.5502 23.5217C62.7302 23.5217 62.0102 23.2217 61.3802 22.6217C60.8002 22.0717 60.4202 21.4017 60.2602 20.6217H70.9702V19.6717H70.9602ZM60.4202 18.0317C60.6302 17.4317 61.0002 16.9117 61.5002 16.4917C62.0602 16.0317 62.7402 15.8017 63.5502 15.8017C64.3502 15.8017 65.0302 16.0417 65.5802 16.5017C66.0802 16.9217 66.4102 17.4317 66.5702 18.0217H60.4202V18.0317Z" fill="#2A52A0"/>
        <path d="M86.6898 16.6717C86.3798 15.7717 85.9098 14.9817 85.2998 14.3117C84.0598 12.9517 82.5098 12.2617 80.6798 12.2617C79.4498 12.2617 78.3198 12.6317 77.3198 13.3717C76.9698 13.6617 76.6598 13.9617 76.4098 14.2717V12.6617H72.3198V31.7917H76.4098V25.0717C76.6698 25.3817 76.9798 25.6917 77.3298 25.9817C78.3198 26.7117 79.4498 27.0917 80.6798 27.0917C82.5098 27.0917 84.0698 26.4017 85.2998 25.0417C86.5298 23.6817 87.1598 21.8817 87.1598 19.6817C87.1598 18.5717 86.9998 17.5717 86.6898 16.6717ZM79.7398 15.8017C80.6798 15.8017 81.4298 16.1317 82.0298 16.8217C82.6298 17.5017 82.9298 18.4617 82.9298 19.6717C82.9298 20.8817 82.6298 21.8417 82.0298 22.5217C81.4298 23.2017 80.6798 23.5417 79.7398 23.5417C78.7498 23.5417 77.9398 23.2017 77.3398 22.5317C76.7198 21.8617 76.4098 20.9017 76.4098 19.6717C76.4098 18.4517 76.7198 17.4917 77.3398 16.8117C77.9498 16.1417 78.7598 15.8017 79.7398 15.8017Z" fill="#2A52A0"/>
        <path d="M99.0801 12.6617V14.2717C98.8201 13.9617 98.5101 13.6617 98.1601 13.3717C97.1701 12.6317 96.0401 12.2617 94.8101 12.2617C92.9801 12.2617 91.4301 12.9517 90.1901 14.3117C88.9601 15.6717 88.3301 17.4717 88.3301 19.6717C88.3301 20.7717 88.4901 21.7717 88.8001 22.6617C89.1101 23.5617 89.5701 24.3517 90.1901 25.0317C91.4301 26.3917 92.9801 27.0817 94.8101 27.0817C96.0401 27.0817 97.1701 26.7117 98.1701 25.9717C98.5101 25.6817 98.8201 25.3817 99.0801 25.0717V26.6817H103.17V12.6617H99.0801ZM92.7901 18.0517C92.9401 17.5717 93.1701 17.1617 93.4601 16.8217C94.0601 16.1417 94.8101 15.8017 95.7601 15.8017C96.7401 15.8017 97.5501 16.1417 98.1601 16.8117C98.7801 17.4817 99.0901 18.4417 99.0901 19.6717C99.0901 20.9017 98.7801 21.8517 98.1701 22.5317C97.5601 23.2017 96.7501 23.5317 95.7701 23.5317C94.8201 23.5317 94.0701 23.2017 93.4701 22.5117C92.8701 21.8317 92.5701 20.8717 92.5701 19.6617C92.5601 19.0717 92.6401 18.5317 92.7901 18.0517Z" fill="#2A52A0"/>
        <path d="M114.47 12.3906V16.3406H112.29C111.32 16.3406 110.56 16.6006 110.03 17.1106C109.5 17.6206 109.23 18.3406 109.23 19.2606V26.6806H105.14V12.6606H109.23V14.3706C109.38 14.0806 109.58 13.8206 109.81 13.5906C110.57 12.7906 111.54 12.3906 112.69 12.3906H114.47Z" fill="#2A52A0"/>
        <path d="M125.38 7.55078V14.2608C125.12 13.9508 124.81 13.6508 124.46 13.3608C123.47 12.6208 122.34 12.2508 121.11 12.2508C119.28 12.2508 117.72 12.9408 116.49 14.3008C115.26 15.6608 114.63 17.4608 114.63 19.6608C114.63 20.7608 114.79 21.7608 115.09 22.6508C115.4 23.5508 115.87 24.3408 116.48 25.0208C117.72 26.3808 119.27 27.0708 121.1 27.0708C122.33 27.0708 123.46 26.7008 124.45 25.9608C124.8 25.6708 125.1 25.3708 125.36 25.0608V26.6708H129.45V7.55078H125.38ZM119.08 18.0508C119.23 17.5708 119.46 17.1608 119.75 16.8208C120.35 16.1408 121.1 15.8008 122.05 15.8008C123.03 15.8008 123.84 16.1408 124.45 16.8108C125.07 17.4808 125.38 18.4408 125.38 19.6708C125.38 20.9008 125.07 21.8508 124.46 22.5308C123.85 23.2008 123.04 23.5308 122.06 23.5308C121.11 23.5308 120.36 23.2008 119.76 22.5108C119.16 21.8308 118.86 20.8708 118.86 19.6608C118.85 19.0708 118.93 18.5308 119.08 18.0508Z" fill="#2A52A0"/>
        <defs>
        <clipPath id="clip0">
        <rect width="129.46" height="32.4" fill="white"/>
        </clipPath>
        </defs>
        </svg>
        
        const schedule = <svg width="70" height="70" viewBox="0 0 70 70" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <circle cx="35" cy="35" r="35" fill="#F1F0F0"/>
                            <path d="M46.3062 19.8516H42.7698V21.0304C42.7698 22.7376 41.3808 24.1265 39.6736 24.1265H30.8301C29.1229 24.1265 27.734 22.7376 27.734 21.0304V19.8516H24.1976C23.6276 19.8516 23.1655 20.3136 23.1655 20.8836V51.8356C23.1655 52.4056 23.6276 52.8676 24.1976 52.8676H46.3062C46.8762 52.8676 47.3383 52.4056 47.3383 51.8356V20.8836C47.3383 20.3136 46.8762 19.8516 46.3062 19.8516ZM31.5599 43.3678C31.963 43.7708 31.963 44.4242 31.5599 44.8274C31.157 45.2305 30.5035 45.2303 30.1004 44.8274L29.7248 44.4517L29.3491 44.8274C28.9461 45.2305 28.2926 45.2303 27.8896 44.8274C27.4865 44.4243 27.4865 43.7709 27.8896 43.3678L28.2653 42.9922L27.8896 42.6165C27.4865 42.2135 27.4865 41.5601 27.8896 41.157C28.2926 40.754 28.9461 40.7539 29.3491 41.157L29.7248 41.5327L30.1004 41.157C30.5034 40.754 31.1569 40.7539 31.5599 41.157C31.963 41.5601 31.963 42.2135 31.5599 42.6165L31.1843 42.9922L31.5599 43.3678ZM32.6653 35.9839L30.4545 38.1948C30.2609 38.3883 29.9985 38.4971 29.7248 38.4971C29.4511 38.4971 29.1885 38.3884 28.995 38.1948L27.8896 37.0893C27.4865 36.6863 27.4865 36.0329 27.8896 35.6298C28.2926 35.2268 28.9461 35.2268 29.3491 35.6298L29.7248 36.0055L31.2059 34.5244C31.6089 34.1215 32.2623 34.1213 32.6654 34.5244C33.0684 34.9274 33.0684 35.5808 32.6653 35.9839ZM32.6653 29.3513L30.4545 31.5622C30.253 31.7637 29.9888 31.8645 29.7248 31.8645C29.4607 31.8645 29.1965 31.7638 28.995 31.5623L27.8896 30.4568C27.4866 30.0538 27.4865 29.4004 27.8895 28.9973C28.2926 28.5943 28.9461 28.5942 29.3491 28.9973L29.7248 29.373L31.2059 27.8918C31.6089 27.4889 32.2623 27.4887 32.6654 27.8918C33.0684 28.2948 33.0684 28.9482 32.6653 29.3513ZM41.8845 44.0242H36.3573C35.7873 44.0242 35.3252 43.5621 35.3252 42.9922C35.3252 42.4222 35.7873 41.9601 36.3573 41.9601H41.8845C42.4544 41.9601 42.9165 42.4222 42.9165 42.9922C42.9165 43.5621 42.4545 44.0242 41.8845 44.0242ZM41.8845 37.3916H36.3573C35.7873 37.3916 35.3252 36.9295 35.3252 36.3595C35.3252 35.7896 35.7873 35.3275 36.3573 35.3275H41.8845C42.4544 35.3275 42.9165 35.7896 42.9165 36.3595C42.9165 36.9295 42.4545 37.3916 41.8845 37.3916ZM41.8845 30.7591H36.3573C35.7873 30.7591 35.3252 30.297 35.3252 29.727C35.3252 29.1571 35.7873 28.695 36.3573 28.695H41.8845C42.4544 28.695 42.9165 29.1571 42.9165 29.727C42.9165 30.297 42.4545 30.7591 41.8845 30.7591Z" fill="#2A52A0"/>
                            <path d="M30.8299 22.0624H39.6733C40.2433 22.0624 40.7053 21.6003 40.7053 21.0303V18.6727C40.7053 18.1027 40.2433 17.6406 39.6733 17.6406H30.8299C30.2599 17.6406 29.7979 18.1027 29.7979 18.6727V21.0303C29.7979 21.6003 30.2599 22.0624 30.8299 22.0624Z" fill="#2A52A0"/>
                        </svg>;
        const delivery = <svg width="70" height="70" viewBox="0 0 70 70" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <circle cx="35" cy="35" r="35" fill="#F1F0F0"/>
                            <path d="M35 15C27.26 15 21 21.26 21 29C21 39.5 35 55 35 55C35 55 49 39.5 49 29C49 21.26 42.74 15 35 15ZM35 34C32.24 34 30 31.76 30 29C30 26.24 32.24 24 35 24C37.76 24 40 26.24 40 29C40 31.76 37.76 34 35 34Z" fill="#2A52A0"/>
                        </svg>;
        const dispatch = <svg width="70" height="70" viewBox="0 0 70 70" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <circle cx="35" cy="35" r="35" fill="#F1F0F0"/>
                            <path d="M36.36 47.3123C36.36 41.8536 40.8215 37.4123 46.305 37.4123C46.7309 37.4123 47.1828 37.4487 47.7267 37.5261C47.9456 37.5603 48.1682 37.4919 48.3363 37.3476C48.5036 37.2026 48.6 36.9928 48.6 36.7719V30.5584C48.6 30.1375 48.2578 29.7969 47.835 29.7969H38.652C38.4488 29.7969 38.2545 29.8772 38.1111 30.02C37.9677 30.1635 37.887 30.3569 37.887 30.5591L37.89 33.6045C37.89 34.0247 37.5471 34.3661 37.125 34.3661H29.475C29.053 34.3661 28.71 34.0248 28.71 33.6045V30.5584C28.71 30.1375 28.3678 29.7969 27.945 29.7969H18.765C18.3422 29.7969 18 30.1375 18 30.5584V48.8353C18 49.2563 18.3422 49.5969 18.765 49.5969H35.7168C35.9387 49.5969 36.1493 49.5009 36.295 49.3344C36.44 49.1678 36.5057 48.9461 36.4743 48.7275C36.3966 48.1861 36.36 47.7362 36.36 47.3123Z" fill="#2A52A0"/>
                            <path d="M36.6839 26.4824L36.6847 27.2508C36.6855 27.6645 37.066 28 37.5354 28H47.7493C48.0491 28 48.3266 27.8609 48.4803 27.6338C48.634 27.406 48.6398 27.1248 48.4969 26.8919L43.8788 19.3919C43.7302 19.1502 43.4427 19 43.1312 19H36.8508C36.6116 19 36.384 19.0886 36.2228 19.2439C36.0616 19.3992 35.9819 19.6072 36.0035 19.8174L36.6839 26.4824Z" fill="#2A52A0"/>
                            <path d="M18.7291 28H27.4779C27.8809 28 28.207 27.6645 28.207 27.25L28.7972 19.8166C28.815 19.6071 28.7474 19.3991 28.6092 19.2438C28.4712 19.0887 28.2754 19 28.071 19H22.6871C22.4201 19 22.1738 19.1501 22.0463 19.3919L18.0884 26.8919C17.9659 27.1248 17.9709 27.4061 18.1026 27.6338C18.2343 27.8609 18.4721 28 18.7291 28Z" fill="#2A52A0"/>
                            <path d="M45.8998 38.7969C41.4334 38.7969 37.7998 42.4305 37.7998 46.8969C37.7998 51.3633 41.4334 54.9969 45.8998 54.9969C50.3662 54.9969 53.9998 51.3633 53.9998 46.8969C53.9998 42.4305 50.3662 38.7969 45.8998 38.7969ZM48.6296 49.6266C48.4858 49.7704 48.2973 49.8424 48.1089 49.8424C47.9205 49.8424 47.7321 49.7704 47.5882 49.6266L45.3791 47.4175C45.2411 47.2795 45.1634 47.0925 45.1634 46.8969V42.4787C45.1634 42.0717 45.4928 41.7423 45.8998 41.7423C46.3068 41.7423 46.6362 42.0717 46.6362 42.4787V46.5919L48.6296 48.5853C48.9172 48.873 48.9172 49.339 48.6296 49.6266Z" fill="#2A52A0"/>
                        </svg>;
        const tracking = <svg width="70" height="70" viewBox="0 0 70 70" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <circle cx="35" cy="35" r="35" fill="#F1F0F0"/>
                            <path d="M23.4657 44.0487L13.8652 46.8222C12.7741 47.1371 12.6938 48.6584 13.7452 49.0866L18.1285 50.8716L19.9136 55.2548C20.3441 56.3077 21.8635 56.2243 22.1779 55.1348L24.9516 45.5345C25.2128 44.6314 24.3742 43.7858 23.4657 44.0487Z" fill="#2A52A0"/>
                            <path d="M47.4138 34.75H22.5862C20.875 34.75 19.4828 33.3481 19.4828 31.625C19.4828 29.9019 20.875 28.5 22.5862 28.5H48.3685C48.7985 29.2465 49.6003 29.75 50.5172 29.75C51.8862 29.75 53 28.6285 53 27.25C53 26.3267 52.5 25.5193 51.7586 25.0863C51.7586 24.3051 51.7586 18.1155 51.7586 17.25C51.7586 16.5594 51.2031 16 50.5172 16H44.931C44.2452 16 43.6897 16.5594 43.6897 17.25V21.625C43.6897 22.3156 44.2452 22.875 44.931 22.875H49.2759V25.0863C48.9 25.3059 48.5865 25.6216 48.3685 26H22.5862C19.506 26 17 28.5234 17 31.625C17 34.7266 19.506 37.25 22.5862 37.25H47.4138C49.125 37.25 50.5172 38.6519 50.5172 40.375C50.5172 42.0981 49.125 43.5 47.4138 43.5H28.7931C28.1075 43.5 27.5517 44.0597 27.5517 44.75C27.5517 45.4403 28.1075 46 28.7931 46H47.4138C50.494 46 53 43.4766 53 40.375C53 37.2734 50.494 34.75 47.4138 34.75Z" fill="#2A52A0"/>
                        </svg>;
        return(
            <React.Fragment>
                <div className = {this.state.classList}>
                    <image className = {classes.StickyIcon}>{icon}</image>
                    <div className = {classes.Info}>
                        <div className = {classes.TopContact}>
                            <img src = "./images/stickyPhoneIcon.png" className = {classes.TopPhoneIcon}/>
                            <p className = {classes.Number}>+994 50 5555555</p>
                        </div>
                        <div className = {classes.TopLanguage}>
                            <select className = {classes.TopLanguageSelect} style = {{width: "120px"}} onChange = {this.selectChange}>
                                <option className = {classes.TopLanguageOption} value = 'en'>English</option>
                                <option className = {classes.TopLanguageOption} value = 'az' selected>Azerbaijan</option>
                                <option className = {classes.TopLanguageOption} value = 'ru' >Russian</option>
                            </select>
                        </div>
                        <button className = {classes.TopBtnJoinUs}>Join us</button>
                        <a type='button' className = {classes.MobileMenuIcon}><img src = "./images/mobilmenuicon.svg" /></a>
                    </div>
                </div>
                <div className = {classes.HowItWorks}>
                    <div className = {classes.H}>
                        <p>How it <span className = {classes.Works}> Works</span></p>
                    </div>
                    <a type = "button" id = {classes.Business} className = {this.state.businessDelivery === 1?classes.Active: classes.BusinessDelivery} onClick = {(index)=>this.changeState(1)}>Business</a>
                    <a type = "button" className = {this.state.businessDelivery === 2?classes.Active: classes.BusinessDelivery} onClick = {(index)=>this.changeState(2)}>Delivery</a>
                    <div className = {classes.WorksSections}>
                        <Section 
                        image = {schedule}
                        heading = "Urgent and scheduled"
                        paragraph = "Lorem Ipsum is simply dummy text of the printing and typesetting industry."/>
                        <Section 
                        image = {delivery}
                        heading = "Urgent and scheduled"
                        paragraph = "Lorem Ipsum is simply dummy text of the printing and typesetting industry."/>
                        <Section 
                        image = {dispatch}
                        heading = "Urgent and scheduled"
                        paragraph = "Lorem Ipsum is simply dummy text of the printing and typesetting industry."/>
                        <Section 
                        image = {tracking}
                        heading = "Urgent and scheduled"
                        paragraph = "Lorem Ipsum is simply dummy text of the printing and typesetting industry."/>
                    </div>
                </div>
            </React.Fragment>
        )
    }
    
}

export default HowItWorks;